#pragma once

#include "CoreMinimal.h"
#include "Presenter.h"
#include "Templates/SubclassOf.h"
#include "AlertsViewData.h"
#include "AlertsPresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UAlertsPresenter : public UPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UUserWidget> AlertsWidgetClass;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAlertsViewData _pendingViewData;

private:
	UFUNCTION(BlueprintCallable)
	void OnRewardAlertSequenceCompleted();

	UFUNCTION(BlueprintCallable)
	bool HasPendingViewData() const;

	UFUNCTION(BlueprintCallable)
	bool CanStartRewardSequence();

public:
	UAlertsPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UAlertsPresenter) { return 0; }
